import React from "react";
import { IconBadge } from "@ess-ics/ce-ui-common";
import { HostStatusIcon } from "./HostIcons";

export function HostBadge({ host, ...rest }) {
  return (
    <IconBadge
      icon={<HostStatusIcon host={host} />}
      title={host.netBoxHost?.fqdn}
      subtitle={host.netBoxHost?.network || "---"}
      {...rest}
    />
  );
}
